# Generated by the protocol buffer compiler.  DO NOT EDIT!
# Source: google/cloud/apigateway/v1/apigateway_service.proto for package 'Google.Cloud.ApiGateway.V1'
# Original file comments:
# Copyright 2020 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

require 'grpc'
require 'google/cloud/apigateway/v1/apigateway_service_pb'

module Google
  module Cloud
    module ApiGateway
      module V1
        module ApiGatewayService
          # The API Gateway Service is the interface for managing API Gateways.
          class Service

            include GRPC::GenericService

            self.marshal_class_method = :encode
            self.unmarshal_class_method = :decode
            self.service_name = 'google.cloud.apigateway.v1.ApiGatewayService'

            # Lists Gateways in a given project and location.
            rpc :ListGateways, ::Google::Cloud::ApiGateway::V1::ListGatewaysRequest, ::Google::Cloud::ApiGateway::V1::ListGatewaysResponse
            # Gets details of a single Gateway.
            rpc :GetGateway, ::Google::Cloud::ApiGateway::V1::GetGatewayRequest, ::Google::Cloud::ApiGateway::V1::Gateway
            # Creates a new Gateway in a given project and location.
            rpc :CreateGateway, ::Google::Cloud::ApiGateway::V1::CreateGatewayRequest, ::Google::Longrunning::Operation
            # Updates the parameters of a single Gateway.
            rpc :UpdateGateway, ::Google::Cloud::ApiGateway::V1::UpdateGatewayRequest, ::Google::Longrunning::Operation
            # Deletes a single Gateway.
            rpc :DeleteGateway, ::Google::Cloud::ApiGateway::V1::DeleteGatewayRequest, ::Google::Longrunning::Operation
            # Lists Apis in a given project and location.
            rpc :ListApis, ::Google::Cloud::ApiGateway::V1::ListApisRequest, ::Google::Cloud::ApiGateway::V1::ListApisResponse
            # Gets details of a single Api.
            rpc :GetApi, ::Google::Cloud::ApiGateway::V1::GetApiRequest, ::Google::Cloud::ApiGateway::V1::Api
            # Creates a new Api in a given project and location.
            rpc :CreateApi, ::Google::Cloud::ApiGateway::V1::CreateApiRequest, ::Google::Longrunning::Operation
            # Updates the parameters of a single Api.
            rpc :UpdateApi, ::Google::Cloud::ApiGateway::V1::UpdateApiRequest, ::Google::Longrunning::Operation
            # Deletes a single Api.
            rpc :DeleteApi, ::Google::Cloud::ApiGateway::V1::DeleteApiRequest, ::Google::Longrunning::Operation
            # Lists ApiConfigs in a given project and location.
            rpc :ListApiConfigs, ::Google::Cloud::ApiGateway::V1::ListApiConfigsRequest, ::Google::Cloud::ApiGateway::V1::ListApiConfigsResponse
            # Gets details of a single ApiConfig.
            rpc :GetApiConfig, ::Google::Cloud::ApiGateway::V1::GetApiConfigRequest, ::Google::Cloud::ApiGateway::V1::ApiConfig
            # Creates a new ApiConfig in a given project and location.
            rpc :CreateApiConfig, ::Google::Cloud::ApiGateway::V1::CreateApiConfigRequest, ::Google::Longrunning::Operation
            # Updates the parameters of a single ApiConfig.
            rpc :UpdateApiConfig, ::Google::Cloud::ApiGateway::V1::UpdateApiConfigRequest, ::Google::Longrunning::Operation
            # Deletes a single ApiConfig.
            rpc :DeleteApiConfig, ::Google::Cloud::ApiGateway::V1::DeleteApiConfigRequest, ::Google::Longrunning::Operation
          end

          Stub = Service.rpc_stub_class
        end
      end
    end
  end
end
